- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Enumerations | Functions
AL::Math::glTF Namespace Reference

## Classes
struct | data_type_traits
struct | data_type_traits< DataType::SCALAR >
struct | data_type_traits< DataType::VEC3 >
struct | data_type_traits< DataType::VEC4 >
struct | data_type_traits< DataType::MAT2 >
class | BufferAccessor
class | AsJSONArray
struct | Buffer
struct | BufferView
struct | Accessor
struct | Mesh
struct | rst
struct | Node
struct | Scene
struct | Sampler
struct | Target
struct | Channel
struct | Animation
class | Document

## Enumerations
enum | ComponentType { ComponentType::GL_BYTE = 5120, ComponentType::GL_UNSIGNED_BYTE = 5121, ComponentType::GL_SHORT = 5122, ComponentType::GL_UNSIGNED_SHORT = 5123, ComponentType::GL_UNSIGNED_INT = 5125, ComponentType::GL_FLOAT = 5126 }
enum | DataType { DataType::SCALAR, DataType::VEC3, DataType::VEC4, DataType::MAT2, DataType::MAT3, DataType::MAT4 }
enum | Mode { Mode::LINE_STRIP = 3 }
enum | Interpolation { Interpolation::LINEAR }

## Functions
void | buffer_put (std::ostream &os, char val)
void | buffer_put (std::ostream &os, unsigned char val)
void | buffer_put (std::ostream &os, std::int16_t val)
void | buffer_put (std::ostream &os, std::uint16_t val)
void | buffer_put (std::ostream &os, std::uint32_t val)
void | buffer_put (std::ostream &os, float val)
std::string | encode64 (const std::string &val)
template<typename T >
std::string | toJSON (T val)
template<typename T , typename IT >
AsJSONArray< T, IT > | asJSONArray (IT b, IT e)
template<typename T , typename R , typename IT = typename R::const_iterator>
AsJSONArray< T, IT > | asJSONArray (const R &range)
Buffer | make_base64_Buffer (const std::string &binbuffer)
std::ostream & | operator<< (std::ostream &os, const Buffer &v)
std::ostream & | operator<< (std::ostream &os, const BufferView &v)
template<typename T , DataType _type>
std::ostream & | operator<< (std::ostream &os, const Accessor< T, _type > &v)
std::ostream & | operator<< (std::ostream &os, const Mesh &v)
std::ostream & | operator<< (std::ostream &os, const Node &v)
std::ostream & | operator<< (std::ostream &os, const Scene &v)
std::string | to_string (Interpolation val)
std::ostream & | operator<< (std::ostream &os, const Sampler &v)
std::string | to_string (Target::Path path)
std::ostream & | operator<< (std::ostream &os, const Target &v)
std::ostream & | operator<< (std::ostream &os, const Channel &v)
std::ostream & | operator<< (std::ostream &os, const Animation &v)
size_t | add_base64_bva (glTF::Document &doc, const std::vector< float > &vecs)
size_t | add_base64_bva (glTF::Document &doc, const std::vector< std::array< float, 3 >> &vecs)
size_t | add_path (glTF::Document &doc, const std::vector< std::array< float, 3 >> &verts, boost::optional< std::string > node_name)
size_t | add_path (glTF::Document &doc, const std::vector< Math::Position2D > &path, boost::optional< std::string > node_name)
void | animate (glTF::Document &doc, size_t node, size_t animation, const std::vector< std::pair< float, Math::Pose2D >> &traj)

## Enumeration Type Documentation

enum AL::Math::glTF::ComponentType
| strong

Enumerator
GL_BYTE |
GL_UNSIGNED_BYTE |
GL_SHORT |
GL_UNSIGNED_SHORT |
GL_UNSIGNED_INT |
GL_FLOAT |

Definition at line 91 of file gltf.h.

enum AL::Math::glTF::DataType
| strong

Enumerator
SCALAR |
VEC3 |
VEC4 |
MAT2 |
MAT3 |
MAT4 |

Definition at line 100 of file gltf.h.

enum AL::Math::glTF::Interpolation
| strong

Enumerator
LINEAR |

Definition at line 496 of file gltf.h.

enum AL::Math::glTF::Mode
| strong

Enumerator
LINE_STRIP |

Definition at line 142 of file gltf.h.

## Function Documentation

size_t AL::Math::glTF::add_base64_bva | ( | glTF::Document & | doc,
|  | const std::vector< float > & | vecs
| ) |  |
| inline

Definition at line 688 of file gltf.h.

size_t AL::Math::glTF::add_base64_bva | ( | glTF::Document & | doc,
|  | const std::vector< std::array< float, 3 >> & | vecs
| ) |  |
| inline

Definition at line 706 of file gltf.h.

size_t AL::Math::glTF::add_path | ( | glTF::Document & | doc,
|  | const std::vector< std::array< float, 3 >> & | verts,
|  | boost::optional< std::string > | node_name
| ) |  |
| inline

Definition at line 724 of file gltf.h.

size_t AL::Math::glTF::add_path | ( | glTF::Document & | doc,
|  | const std::vector< Math::Position2D > & | path,
|  | boost::optional< std::string > | node_name
| ) |  |
| inline

Definition at line 742 of file gltf.h.

void AL::Math::glTF::animate | ( | glTF::Document & | doc,
|  | size_t | node,
|  | size_t | animation,
|  | const std::vector< std::pair< float, Math::Pose2D >> & | traj
| ) |  |
| inline

Definition at line 754 of file gltf.h.

template<typename T , typename IT >

AsJSONArray<T, IT> AL::Math::glTF::asJSONArray | ( | IT | b,
|  | IT | e
| ) |  |

Definition at line 307 of file gltf.h.

template<typename T , typename R , typename IT = typename R::const_iterator>

AsJSONArray<T, IT> AL::Math::glTF::asJSONArray | ( | const R & | range | ) |

Definition at line 313 of file gltf.h.

void AL::Math::glTF::buffer_put | ( | std::ostream & | os,
|  | char | val
| ) |  |
| inline

Definition at line 148 of file gltf.h.

void AL::Math::glTF::buffer_put | ( | std::ostream & | os,
|  | unsigned char | val
| ) |  |
| inline

Definition at line 156 of file gltf.h.

void AL::Math::glTF::buffer_put | ( | std::ostream & | os,
|  | std::int16_t | val
| ) |  |
| inline

Definition at line 164 of file gltf.h.

void AL::Math::glTF::buffer_put | ( | std::ostream & | os,
|  | std::uint16_t | val
| ) |  |
| inline

Definition at line 171 of file gltf.h.

void AL::Math::glTF::buffer_put | ( | std::ostream & | os,
|  | std::uint32_t | val
| ) |  |
| inline

Definition at line 178 of file gltf.h.

void AL::Math::glTF::buffer_put | ( | std::ostream & | os,
|  | float | val
| ) |  |
| inline

Definition at line 186 of file gltf.h.

std::string AL::Math::glTF::encode64 | ( | const std::string & | val | ) |
| inline

Definition at line 253 of file gltf.h.

Buffer AL::Math::glTF::make_base64_Buffer | ( | const std::string & | binbuffer | ) |
| inline

Definition at line 325 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Buffer & | v
| ) |  |
| inline

Definition at line 332 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const BufferView & | v
| ) |  |
| inline

Definition at line 348 of file gltf.h.

template<typename T , DataType _type>

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Accessor< T, _type > & | v
| ) |  |

Definition at line 370 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Mesh & | v
| ) |  |
| inline

Definition at line 411 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Node & | v
| ) |  |
| inline

Definition at line 440 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Scene & | v
| ) |  |
| inline

Definition at line 487 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Sampler & | v
| ) |  |
| inline

Definition at line 515 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Target & | v
| ) |  |
| inline

Definition at line 545 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Channel & | v
| ) |  |
| inline

Definition at line 557 of file gltf.h.

std::ostream& AL::Math::glTF::operator<< | ( | std::ostream & | os,
|  | const Animation & | v
| ) |  |
| inline

Definition at line 591 of file gltf.h.

std::string AL::Math::glTF::to_string | ( | Interpolation | val | ) |
| inline

Definition at line 500 of file gltf.h.

std::string AL::Math::glTF::to_string | ( | Target::Path | path | ) |
| inline

Definition at line 534 of file gltf.h.

template<typename T >

std::string AL::Math::glTF::toJSON | ( | T | val | ) |

Definition at line 261 of file gltf.h.